Bedømmelse: 4 ud af 5 stjerner

Version 1.4.1 marked as Firefox 3.0.* compatible but still get incompatible message when try to install it in Firefox 3.0.4.

Denne anmeldelse er af en tidligere version af tilføjelsen (1.4.1).